HttpClient.Version (Java SE 10 & JDK 10 )
Keywords: jdk.incubator.http.HttpClient.Version class

Module jdk.incubator.httpclient
Package jdk.incubator.http

## Enum HttpClient.Version

- java.lang.Object
- - java.lang.Enum<HttpClient.Version>
  - - jdk.incubator.http.HttpClient.Version

- All Implemented Interfaces:
    `Serializable`, `Comparable<HttpClient.Version>`
  Enclosing class:
    HttpClient

      public static enum HttpClient.Version
      extends Enum<HttpClient.Version>

  The HTTP protocol version.
  Incubating Feature. Will be removed in a future release.
  Since:
    9

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTTP_1_1` | HTTP version 1.1
    `HTTP_2` | HTTP version 2

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HttpClient.Version` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HttpClient.Version[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP_1_1

          public static final HttpClient.Version HTTP_1_1

      HTTP version 1.1

    - #### HTTP_2

          public static final HttpClient.Version HTTP_2

      HTTP version 2

  - ### Method Detail

    - #### values

          public static HttpClient.Version[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpClient.Version c : HttpClient.Version.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpClient.Version valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null